<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: /home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/AssimpConfigs.cs File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_assimp_configs_8cs.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">AssimpConfigs.cs File Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_assimp_process_preset.html">TriLib.AssimpProcessPreset</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the importing post process pressets.  <a href="class_tri_lib_1_1_assimp_process_preset.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespace_tri_lib"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html">TriLib</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:acb0be976ed4cc12be14542c0bb29ea39"><td class="memItemLeft" align="right" valign="top">enum class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">TriLib.AssimpPostProcessSteps</a> { <br />
&#160;&#160;<a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a3bce9359b1db4d15c03000c66e0b0d52">TriLib.CalcTangentSpace</a> = 0x1
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a4642a6f7959b17c1b5f093a62e4a688c">TriLib.JoinIdenticalVertices</a> = 0x2
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39aba1741832a48fbab3ee1849d2623c73a">TriLib.MakeLeftHanded</a> = 0x4
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a7862a2cb2f6887e78b0bce4f6e84e7ac">TriLib.Triangulate</a> = 0x8
, <br />
&#160;&#160;<a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a2664e473a314ea56173acce95c59a56b">TriLib.RemoveComponent</a> = 0x10
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a81a21a547e0ef83dcf980ba0aac0edd4">TriLib.GenNormals</a> = 0x20
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a05479d3d9b4a2b28bf49c24a7dbcd99b">TriLib.GenSmoothNormals</a> = 0x40
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a0987753e9df81d1cf636f53c3b5593db">TriLib.SplitLargeMeshes</a> = 0x80
, <br />
&#160;&#160;<a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a34e3d8546cf5f6d53c7f977be8563c5f">TriLib.PreTransformVertices</a> = 0x100
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39afaf71ceef380dd2f3222f0559f5fa4e8">TriLib.LimitBoneWeights</a> = 0x200
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39aea810dc92d4f56b9800d9da84c7f8b0e">TriLib.ValidateDataStructure</a> = 0x400
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39abc15722695122129538319d4fd198153">TriLib.ImproveCacheLocality</a> = 0x800
, <br />
&#160;&#160;<a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a220ba833233fdf0ea27c8ca100593638">TriLib.RemoveRedundantMaterials</a> = 0x1000
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a66dcc1a8123e231629f8cd0470b2342f">TriLib.FixInfacingNormals</a> = 0x2000
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a156cb946bd7d4a5fb79cd2be00f0efcc">TriLib.SortByPType</a> = 0x8000
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39aa19a19c2bec577e10c640d67158fc602">TriLib.FindDegenerates</a> = 0x10000
, <br />
&#160;&#160;<a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39aee94e10f28c445df2405ea4767905117">TriLib.FindInvalidData</a> = 0x20000
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39ad50e853bc8ff0eb2f56707085eb52fdb">TriLib.GenUvCoords</a> = 0x40000
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a3d4d23daa2806311d58ec6b7ca15b14d">TriLib.TransformUvCoords</a> = 0x80000
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39abb8af92c46a5c6bca759b86b840809e4">TriLib.FindInstances</a> = 0x100000
, <br />
&#160;&#160;<a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a3d3f2effe3ccae80446075e398148e83">TriLib.OptimizeMeshes</a> = 0x200000
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a779a78324e00278732242befd84e85be">TriLib.OptimizeGraph</a> = 0x400000
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39ad22d89e748c6ddaac37625c77d987a33">TriLib.FlipUVs</a> = 0x800000
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a34fbdb16993386b0192a0eb0c4351c75">TriLib.FlipWindingOrder</a> = 0x1000000
, <br />
&#160;&#160;<a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39af2b8ea6e1c1f78bf43130045526a9f66">TriLib.SplitByBoneCount</a> = 0x2000000
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a2cd14296e5ce0e8d38d42919d7ee0884">TriLib.Debone</a> = 0x4000000
, <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a1ec0f5811ebbdbb975f9c4239b29c32c">TriLib.DropNormals</a> = 0x40000000
<br />
 }</td></tr>
<tr class="memdesc:acb0be976ed4cc12be14542c0bb29ea39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the importing post process steps.  <a href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">More...</a><br /></td></tr>
<tr class="separator:acb0be976ed4cc12be14542c0bb29ea39"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_84bbf7b3c7f28a5a18725745e1505219.html">Assets</a></li><li class="navelem"><a class="el" href="dir_1366353f92bfcad57baaadbced04d9dc.html">TriLib</a></li><li class="navelem"><a class="el" href="dir_b1852826b1dcf5519cb0109126b304ac.html">TriLib</a></li><li class="navelem"><a class="el" href="dir_1a655f348dfdb7dab8ca284eb2259249.html">Scripts</a></li><li class="navelem"><a class="el" href="dir_a5bfd893645e54d35af833cce7981279.html">AssetLoader</a></li><li class="navelem"><a class="el" href="_assimp_configs_8cs.html">AssimpConfigs.cs</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
